#!/bin/bash

PROJECT_DIR="$(dirname $(dirname $(readlink -m $0)))"
PMDAS_DIR="/var/lib/pcp/pmdas"
PMDA_NAME=${1-"cts"}

[ -d $PMDAS_DIR/$PMDA_NAME ] && rm -rf $PMDAS_DIR/$PMDA_NAME

SRC_DIR=$PROJECT_DIR/pcp/pmdas/$PMDA_NAME
DEST_DIR=$PMDAS_DIR/$PMDA_NAME

mkdir -p $DEST_DIR
for f in $(ls $SRC_DIR); do
    ln -sfn $SRC_DIR/$f $DEST_DIR/$f
done