#!/usr/libexec/platform-python
from __future__ import print_function
import rpyc, sys
def main():
  if len(sys.argv)<=1:
    print("""
stopmon.py stop     -stop
stopmon.py status   -get status
""")
    return
  try:
    c = rpyc.connect("localhost", 18861)
  except:
    print("cannot connect to atbmon.")
    return
  arg1= sys.argv[1]
  if arg1=="status":
    print(c.root.getstatus())
  elif arg1=="stop":
    c.root.stopmon()
    print("atbmon stopped")
  else:
    print("bad argument:", arg1)
  c.close()
if  __name__ == "__main__":
  main()

