#!/usr/libexec/platform-python
import sys,os
import ipbuswrap,atbwrap
def action(act):
  cmd= "ssh trigger@altri2 '~/rf2ttc/rf2ttc %s'"%act
  rc= os.popen(cmd).read()
  return rc
def main():
  if len(sys.argv) < 2 or (len(sys.argv)==2 and sys.argv[1]=="help"):
    print """
Usage:
loltest_atb.py loops

loop loops times:
  -switch clock (ssh to altri2 switching BCMAIN on RF2TTC BC1/LOCAL),
   and check LOL in RF2TTC 
  -check LOL on si5345 for a list of ATBs (board numbers in boardns)
  -print a concise info in one line (0:no LOL), count LOLs

Note: for 8 ATBs, 1000 loops:
loops:1000 rf2ttc LOLs:272+403, 8 atbs LOLs:0

"""
    sys.exit()
  loops= int(sys.argv[1])
  os.chdir(os.getenv('CTP3_WORK_DIRECTORY'))
  phbname= "atb_27"
  ipbuswrap.Init()
  boardns= (13, 16, 27,32, 34, 35, 61, 62)
  #boardns= (13, 61)
  boards=[] ; devs= []
  for bn in boardns:
    phbname= "atb_%d"%bn
    board= atbwrap.OpenATBoard(phbname)
    boards.append(board)
    devs.append(board.findDevice("si5345"))
    #boards[-1].printDevices()
  rf_lols={}
  rf_lols['local']= 0
  rf_lols['beam1']= 0
  atb_lols= 0
  act= "local" ; rf2ttclol= action(act)
  atbslol= ""
  for ix in range(len(devs)):
    rclol= devs[ix].cclosl()[0]
    atbslol= atbslol + str(rclol)+" "
  print "starting with %s: rf2ttc:%s atbs:"%(act, rf2ttclol),atbslol
  for mn in range(loops):
    if act=="local":
      act= "beam1"
    else:
      act= "local"
    rf2ttclol= action(act).strip()
    if rf2ttclol=="lol":
      rf_lols[act]= rf_lols[act]+1
    atbslol= ""
    for ix in range(len(devs)):
      try:
        rclol= devs[ix].cclosl()[0]
        if rclol!=0: atb_lols= atb_lols+1
      except:
        rclol=9   # i2c error (appeared once)
      atbslol= atbslol + str(rclol)+" "
    print "%d ->%s: rf2ttc:%s atbs:"%(mn, act, rf2ttclol),atbslol
  print "loops:%d rf2ttc LOLs:%d+%d, %d atbs LOLs:%d"%(mn+1,
    rf_lols['local'], rf_lols['beam1'], len(boardns), atb_lols)
  #cmd= "ls"
  #rc= os.popen(cmd).read()

if __name__ == "__main__":
  main()
