#!/usr/libexec/platform-python
from __future__ import print_function
import sys,ibw, saxipbus, findat
def GetFWINFO(bn):
  board= ibw.Board(bn)
  fwinfo= board.Read("ctrl.fwinfo");
  #print "GetFWINFO:0x%x"%fwinfo
  fwname= fwinfo>>24 ; fwver= (fwinfo>>8) & 0xffff ; subver= fwinfo & 0xff
  atb= findat.FindAT(fwname, fwver)
  if atb!= None:
    return atb[:-4],subver   # without ending .xml
  else:
    return None, None
def main():
  if len(sys.argv) < 2 or (len(sys.argv)==2 and sys.argv[1]=="help"):
    print("""
Usage:
checkboards all

""")
    sys.exit()
  ibw.Init()
  print("Using %s + ctrl.fwinfo:"%ibw.AliceBoards)
  if sys.argv[1]=="no20":
    saxipbus.printConnectionFile(True, GetFWINFO, testatbmon=True)
  else:
    saxipbus.printConnectionFile(True, GetFWINFO)

if __name__ == "__main__":
  main()
