def FindAT(fwname, fwver):
  """ rc: name of an xml file with corresponding address table 
see: https://twiki.cern.ch/twiki/bin/view/ALICE/BoardNumbers
"""
  if (fwname == 14):
    adxml= "ticg_logic"
  elif (fwname == 13):
    adxml= "ttcit_logic"   #40-1C (2 prototypes from batch1). was "tig_logic" 
  elif (fwname == 12):
    adxml= "ltu_logic_itsmft"
  elif (fwname == 11):
    adxml= "ltu_logic"
  elif (fwname == 10):
    adxml= "ctp_logic"
  elif (fwname == 9):
    adxml= "test_logic_fmcctpinv"
  elif (fwname == 8):
    adxml= "test_logic_fmcs18"
  elif (fwname == 7):
    adxml= "test_logic_fmcctp"
  elif (fwname == 6):
    adxml= "test_logic_fmcs18_and_ibert"
  elif (fwname == 5):
    adxml= "test_logic_kaya"
  elif (fwname == 4):
    adxml= "ttc_logic_LM0"
  elif (fwname == 3):
    adxml= "ipbus_LM0"
  else:
    return None
  adxml= "%s_v%x.xml"%(adxml, fwver)   # was %d
  return adxml

