#!/bin/bash
if [ $# -lt 2 ] ;then
  cat - <<-EOF
Usage example:
fi_update.sh 22 vd_01

22     -board number (decimal)
vd_01  -firmware version to be loaded in Flash memory and FPGA

-> it takes ~10 mins (the sector number is shown every several secs)

EOF
  exit 1
fi
bn=$1
ver=$2   #'vd_02'
IFS='_' read -a pver <<<"$ver"
#echo ${pv[0]} #vd
#echo ${pv[1]} #02
#makemycfg.py ${pver[0]} -not good idea when more boards with diffrent firmwares
echo ctp3-load -l -b $bn -f 'ltu_logic_'$ver
echo
ctp3-load -l -b $bn -f 'ltu_logic_'$ver
[[ $? -ne 0 ]] && exit
echo
echo "FM -> FPGA:"
echo bootfpga | $CTP3_ROOT/cmdpy/ltu/ltuctl.py $bn pllin1

