# see vivadorem.sh starting this script
proc loadatb {digi fwbin} {
  #puts "fw: $digi"
  #set_property PARAM.FREQUENCY 15000000 [get_hw_targets */xilinx_tcf/Digilent/$digi]
  set_property PARAM.FREQUENCY 15000000 $digi
  open_hw_target
  set_property PROGRAM.FILE $fwbin.bin [get_hw_devices xcku040_0]
  current_hw_device [get_hw_devices xcku040_0]
  program_hw_devices [get_hw_devices xcku040_0]
}
proc printargs {} {
  # -tclargs a b c
  puts "args length:[llength $::argv]"
  foreach i $::argv {puts $i}
  puts "The second arg is [lindex $::argv 1]"; #indexes start at 0
}
#printargs
if { [llength $argv] != 2 } {
  puts "Expected 2 pars: load_atb digi fw_without_.bin"
  exit 16
}
open_hw_manager
#
# connect to Wxx server (anywhere has to be set properly before):
#connect_hw_server -url pcalicebhm13.cern.ch:3121 -allow_non_jtag
connect_hw_server -url localhost:3121
#current_hw_target [get_hw_targets */xilinx_tcf/Digilent/210251A535B0]
#set digi 210251A535B0
set digi [lindex $::argv 0]
set binname [lindex $::argv 1]
# bavi, avsak zdochne na nasledovnom riadku:
set hws [get_hw_targets */xilinx_tcf/Digilent/$digi]
# nebavi:
#if {[catch set hws [get_hw_targets */xilinx_tcf/Digilent/$digi] errmsg]} {
if {![info exists hws]} {
  puts [format "%s %s" $digi "-bad device"]
  #puts $errmsg
  exit 20
}
puts "loading fpga target: $hws <- $binname"
current_hw_target $hws
#loadatb "210251A535B0" "ltu_logic_v12_06"
loadatb $hws $binname
close_hw_manager
# 0: ok
exit 0
