#!/usr/libexec/platform-python
from __future__ import print_function
import sys
from tabulate import tabulate
#!/usr/bin/python3
def oltonu2N(olt, onu):   # 1..9 1..4
  pass
def flp2N(flp):           # 166..177
  pass
def printN(N):            # 1..36
  N1= N - 1
  olt= N1//4 + 1
  onu= N1+1 - (olt-1)*4
  flp= N1//3 + 166
  flpcru= N1+1 - (flp-166)*3
  #print("dCRU{}:olt{} onu{} flp:{} {}".format(N,olt,onu,flp,flpcru))
  return (N, olt,onu,flp,flpcru)
 
def main():
  if len(sys.argv) < 2 or (len(sys.argv)==2 and sys.argv[1]=="help"):
    print(""" 
trdcru N
N: 1..36

Examples:
trdcru.py all
trdcru.py 36

todo:
trdcru oltN onuN
oltN: 1..9    onuN: 1..4
""")
    sys.exit(8)
  print("LEN: argv1",len(sys.argv), sys.argv[1])
  #pdb.set_trace()
  if len(sys.argv)==2:
    if sys.argv[1]=="all":
      rang= range(1,37)
    else:
      n= int(sys.argv[1])
      rang= range(n,n+1)
    rows= []
    for N in rang:
      rc= printN(N)
      rows.append(rc)
    print(tabulate(rows, headers=("CRU", "olt","onu","flp","N")))
  #else:
  #  rc= printN(N)
  #  print("CRU{}:".format(N), str(rc),"\n")
  #if sys.argv[1]>="166":
    
if __name__== "__main__":
  main()

