#!/bin/bash
function getip() {
# getip detname   rc: boardip
boardip=""
while read line; do
  declare -a ar=($line)
  #echo ${ar[0]} ${ar[1]}
  if [ "${ar[0]}" = "$1" ] ;then
    detn=${ar[1]}
    let detn20=$detn+20
    boardip="192.168.1.$detn20"
    break
  fi
done < "~trigger/CFG/p2boards.cfg"
}
cd ~/CFG
#ln -s $CTP3_ROOT/boards/ltu_logic_v13.xml .
# following not done (its mft not existing yet)
#ln -s $CTP3_ROOT/boards/ltu_logic_itsmft_v13.xml .
#
#sed "s/_v12/_v13/g" alice_cf.xml >temp ; mv temp alice_cf.xml
#
detname=$1
getip $detname
if [ -n "$boardip" ] ;then
  fn="ltu192.168.1.$boardip.cfg"
  if [ -e "$fn" ] ;then
    sed "s/_v12/_v13/g" $fn >temp ; mv temp $fn
    echo "_v12 -> _v13 done in $detname/CFG/$fn"
  else
    echo "File $detname/CFG/$fn does not exist"
  fi
else
  echo "cannot find ip for $detname"
fi
