#!/bin/bash
# this script is started from loadfpga.sh directly on flp or over ssh from another computer.
# When started directly on flp, supply digi (JTAG id) of the connected board, which is 
# available on twiki page:
# https://twiki.cern.ch/twiki/bin/view/ALICE/BoardNumbers
# Usage:
# vivadorem.sh digi binname
# if wrong digi, it gets stuck (press CTRL-C )
# binname.bin has to exist in ~/xilinx directory
#
# Modify following line according to vivado_lab installation:
vlab='/tools/Xilinx/Vivado_Lab/2019.2/bin/vivado_lab'
alias vivado_lab=$vlab
. /tools/Xilinx/Vivado_Lab/2019.2/settings64.sh
#echo $PATH
cd ~trigger/xilinx
#vivado_lab -mode tcl -nojournal -nolog -notrace -source load_atb.tcl -tclargs $1 $2
# vivado_lab needs root (not always?)
su root -c "$vlab -mode tcl -nojournal -nolog -notrace -source load_atb.tcl -tclargs $1 $2"
echo "rc: $? (0: ok)"
