#print "globals:", globals(), locals()
#print *kw
#print "locals:", locals()
#print "line:",locals()['line']
sl= string.split(line)
if len(sl) < 3:
  print """
Usage:
ex syncr.sc N [MAXEMU]
N: number of 'write 1s+check + write 0s+check in ctpemu* regs' loops
MAXEMU: 1..18 (18 default)
"""
else:
  MAXEMU= 18 ; NREAD= 10
  if len(sl) >3:
    MAXEMU= sl[3]
  N= int(sl[2])
  print "MAXEMU:", MAXEMU,\
    ",%d reads after alternate 0xffffffff/0x0 write, repeated %dx"%(NREAD,N)
  err_0= err_1=0
  err_0m= err_1m=0
  for emuix in range(int(MAXEMU)):
    if MAXEMU==1:
      #emuname="ctpemu"
      emuname="ctpemu%d"%(emuix+1)
    else:
      emuname="ctpemu%d"%(emuix+1)
    for ereg in ("PH_bc","PP_bc","HC","TOF_bc","TPC_SYNC_orbit","TPC_RST_bc"):
     for nrate in ("_n","_rate"):
      rname= "%s.%s%s"%(emuname,ereg,nrate)
      for ix in range(N):
        #b.Write_nd(rname,0xffffffff)
        b.Write(rname,0xffffffff)
        for ixr in range(NREAD):
          w=b.Read(rname)
          if w!=0xffffffff:
            if ixr==0:
              err_1= err_1+1
            else:
              err_1m= err_1m+1
            #print "Reg:", rname, "err_1"
        #b.Write_nd(rname,0)
        b.Write(rname,0)
        for ixr in range(NREAD):
          w=b.Read(rname)
          if w!=0:
            if ixr==0:
              err_0= err_0+1
            else:
              err_0m= err_0m+1
            #print "Reg:", rname, "err_0"
  print "wr+rd:",N*18*6*2*2,"err_0/m:%d/%d"%(err_0,err_0m),\
    "err_1/m:%d/%d"%(err_1,err_1m)
  if (err_1m!=0) and ((err_1*(NREAD-1))== err_1m):
    print "err_1 is 'write error', 1st read errs: %d == %d*(%d-1)"%(err_1m,err_1,NREAD)
  if (err_0m!=0) and ((err_0*(NREAD-1))== err_0m):
    print "err_0 is 'write error', 1st read errs %d == %d*(%d-1)"%(err_0m,err_0,NREAD)
