#!/usr/libexec/platform-python

#!/usr/bin/python3
#!/usr/bin/python3
#!/usr/bin/python3
#!/usr/bin/python3
#!/usr/bin/python3
#!/usr/bin/python3
#!/usr/bin/python3
#!/usr/bin/python3
#!/usr/bin/python3
#!/usr/bin/python3
#!/usr/bin/python3
#!/usr/bin/python3
#!/usr/bin/python3
from __future__ import print_function
import string,time,os,sys,time,atexit
import grpc
import hewo_pb2
import hewo_pb2_grpc
import pdb
def printHelp():
  print("""
q  -quit
qs -quit server (Stop rpc)
h  -this text

f port          -send "forward port myname" to SayHello
any other cmd   -send myname to SayHello rpc

""")
class HEWO_grpc:
  def __init__(self, portn):
    self.channel= grpc.insecure_channel('localhost:'+str(portn))
    print("HEWO_grpc:",portn,self.channel)
    self.stub = hewo_pb2_grpc.HelloWorldStub(self.channel)
    print("HEWO_grpc:",self.stub)
  def close(self):
    if self.channel== None: return
    self.channel.close()
    self.channel= None
   
def run(portn):
  pid= os.getpid()
  myname= "cport%d_cpid%d"%(portn,pid)
  print("myname:",myname)
  mystub= HEWO_grpc(portn)
  stub= mystub.stub
  if stub==None: return
  if len(sys.argv)>2:
    if sys.argv[2]=="qs":
      try:
        response= stub.Stop(hewo_pb2.Empty())
      except:
        e = sys.exc_info()[0]
        print( "Error: %s" % e )
      else:
        print(response)
      return
  prompt=">"
  while True:
    line= raw_input(prompt); 
    if line=="": continue
    cmd= string.split(line)   # cmd cmdname a1
    if cmd[0]=='pdb': 
      pdb.set_trace()
      continue
    #if cmd[0]=='h':
    #  printHelp(cmdarg(1))
    elif cmd[0]=='q': break
    elif cmd[0]=='qs':
      response= stub.Stop(hewo_pb2.HelloRequest())
      print(response) # 'stop'
    elif cmd[0]=='h': printHelp()
    elif cmd[0]=='f':
      fname="forward %s %s"%(cmd[1], myname)
      response = stub.SayHello(hewo_pb2.HelloRequest(name=fname))
      print(response)
    else:
      response = stub.SayHello(hewo_pb2.HelloRequest(name=myname))
      print(response)
      #printHelp()
  mystub.close()

if __name__ == '__main__':
  if len(sys.argv)>1:
    run(int(sys.argv[1]))
  else:
    print("arg1: port number (9090) missing...")
