#!/usr/libexec/platform-python
from __future__ import print_function
#!/usr/bin/python3
import sys
styles= {
  # styles
  'reset': '\033[0m',
  'bold': '\033[01m',
  'disabled': '\033[02m',
  'underline': '\033[04m',
  'reverse': '\033[07m',
  'strike_through': '\033[09m',
  'invisible': '\033[08m',
  # text colors
  'fg_black': '\033[30m',
  'fg_red': '\033[31m',
  'fg_green': '\033[32m',
  'fg_orange': '\033[33m',
  'fg_blue': '\033[34m',
  'fg_purple': '\033[35m',
  'fg_cyan': '\033[36m',
  'fg_light_grey': '\033[37m',
  'fg_dark_grey': '\033[90m',
  'fg_light_red': '\033[91m',
  'fg_light_green': '\033[92m',
  'fg_yellow': '\033[93m',
  'fg_light_blue': '\033[94m',
  'fg_pink': '\033[95m',
  'fg_light_cyan': '\033[96m',
  # background colors
  'bg_black': '\033[40m',
  'bg_red': '\033[41m',
  'bg_green': '\033[42m',
  'bg_orange': '\033[43m',
  'bg_blue': '\033[44m',
  'bg_purple': '\033[45m',
  'bg_cyan': '\033[46m',
  'bg_light_grey': '\033[47m'
}
def color(text, *user_styles):
  color_text = ''
  for style in user_styles:
    #print("style:"+style)
    try:
      color_text = color_text + styles[style]
    except KeyError:
      return 'def color: parameter {} does not exist'.format(style)
  color_text += text
  #print color_text
  #return '\033[0m{}\033[0m'.format(color_text)
  return '\033[0m%s\033[0m'%color_text
def main():
  print("""
Following line is:"bold", "fg_red", "bg_green"
""")
  print(color("Type q to quit", "bold", "fg_red", "bg_green" )) 
  while True:
    a= input("\033[0m%s>"%styles['reverse']);
    #print "\033[0m"   # this adds new line
    #print "\033[0m",  # this adds space 
    sys.stdout.write("\033[0m")   # ok, no NL neither space added
    if a=='q': break
    #print "\033[0m:%s:"%a
    print(":%s:"%a)
  print(color('exiting...', 'fg_green','bg_purple' ))
if __name__ == '__main__':
    main()
