#!/bin/bash
#check latest versions before announcing new release in
#  CTP3_ROOT/boards or
#  links in CTP3_CONFIG_DIR after installation
if [ "$1" = "1c" ] ;then
cv="8"  ; cve="19" # ctp
lv="1c" ;  lve="1c"  # ltu
elif [ "$1" = "1d" ] ;then
#cv="c"  ; cve="1c" # ctp
cv="c"  ; cve="1c" # ctp
lv="1d" ;  lve="1c"  # ltu
ltubin="1d_18" ; ctpbin="c_07" ;
else
  cat - <<-EOF
missing ltu ver, 1c or 1d only supported.

    ltu ltuemu ltubin ctp ctpemu ctpbin
1c  1c  1c     1c_02  8   19     8_0a
1d  1d  1c     1d_0c  c   1c     c_02   26.4.2021
                      e   1c     e_01   15.7.2021
1d  1d  1c     1d_18  c   1c     c_07   29.7.2021
EOF
  exit
fi
cd $CTP3_ROOT/boards
echo "ctp_logic_v$cv:"
ls -l ctp_logic_v$cv*.xml
ls -l ctpemu_v$cve.xml
#ls -l cfg/ctp_logic_v$cv*.bin
ls -l cfg/ctp_logic_v"$ctpbin"_f60_2e.bin
echo -e "\nversions.xml"
grep -e $ctpbin -e $ltubin versions_xml.txt

#ls -l ctp_logic_v9*.xml
#ls -l ctpemu_v1c.xml
#ls -l cfg/ctp_logic_v9*.bin

echo -e "\nltu_logic_v$lv:"
ls -l ltu_logic_v$lv*.xml
ls -l ctpemu_v$lve.xml
#ls -l cfg/ltu_logic_v$lv*.bin
ls -l cfg/ltu_logic_v$ltubin.bin
echo -e "\nltu_itsmft_logic_v$lv:"
ls -l ltu_logic_itsmft_v$lv*.xml
ls -l ctpemu_v$lve.xml
#ls -l cfg/ltu_logic_itsmft_v$lv*.bin
ls -l cfg/ltu_logic_itsmft_v$ltubin.bin

