#!/bin/bash
# some files in
# https://gitlab.cern.ch/TTC-PON/official_release/master/software
# contain 0x0d characters, not good python/vi:
#
# [... ttcpon101]$ file `find . '*.py'`
# files with 0x0d are indicated by:
# Python script, ASCII text executable, with CR line terminators
# ...
#  -only 2 files needed to be modified using this script:
# ttcpon_core/olt_core.py
# ttcpon_core/ttcpon_exdsg.py
#
# grep -aPo '\x01\x00\x00\x00[0-z]+\x00\x00\x00[0-z]+' <file> 
wc $1
ex -c':%s/\%x0d/
/g' -c':wq' $1
wc $1
