#!/usr/libexec/platform-python

#!/usr/bin/python3
#!/usr/bin/python3
#!/usr/bin/python3
#!/usr/bin/python3

#!/usr/bin/python3
#!/usr/bin/python3
#!/usr/bin/python3
import logging
import time

#!/usr/bin/python3
#!/usr/bin/python3
#!/usr/bin/python3
from ttcpon_core.ttcpon_exdsg import OnuExdsg

#!/usr/bin/python3
#!/usr/bin/python3
#!/usr/bin/python3
import ttcpon_core.pon_k7_gtx_eyescan as pon_k7_gtx_eyescan

#!/usr/bin/python3
#!/usr/bin/python3
#!/usr/bin/python3
import ttcpon_board_config.pon_fmc_i2c_program as program_fmc
import ttcpon_board_config.init_onu_fmc as init_onu_fmc

def main(onu):

    ####################################################
    ###          Parameters for Application          ###
    ####################################################
    INIT_ONU                        = 1  # possible values: 1 or 0
    PERFORM_ONU_EYE_SCAN            = 1  # possible values: 1 or 0

    ####################################################
    ###        Start TTC-PON Ex. Application         ###
    ####################################################
    logger_pon.info('Started TTC-PON TEST application')

    ####################################################
    ###          Initialization of OLT/ONUs          ###
    ####################################################
    ### INIT - ONU_2 - Mounted on FMC - KC705 board  (Kintex7)
    if(INIT_ONU):		
        logger_pon.info('---------------------------------------------------------')	
        logger_pon.info('------------------- PROGRAM ONU2-FMC --------------------')
        logger_pon.info('---------------------------------------------------------')	
        init_onu_fmc.onu_init(onu[0])
        time.sleep(1)
        logger_pon.info('                                                         ')		
    if(PERFORM_ONU_EYE_SCAN):	
        logger_pon.info('---------------------- Eye Scan ONU2 --------------------')
        pon_k7_gtx_eyescan.rx_eye_scan(onu[0],'./calibration_config/eyescan_onu2', 1)
        time.sleep(1)
        logger_pon.info('                                                         ')

if __name__ == '__main__':
    # Logger TTC-PON CORE definition:
    # create logger with 'ttc_pon' application
    logger_pon = logging.getLogger('ttc_pon')
    logger_pon.setLevel(logging.DEBUG)
    # create file handler which logs even debug messages
    fh = logging.FileHandler('./logger/ttcpon_log.log')
    fh.setLevel(logging.DEBUG)
    # create console handler with a higher log level
    ch = logging.StreamHandler()
    ch.setLevel(logging.INFO)
    # create formatter and add it to the handlers
    formatter = logging.Formatter(
        '%(asctime)s - %(name)s - %(levelname)s: %(message)s',
        datefmt='%d-%m-%y %H:%M:%S')
    fh.setFormatter(formatter)
    ch.setFormatter(formatter)
    # add the handlers to the logger
    logger_pon.addHandler(fh)
    logger_pon.addHandler(ch)

    # Logger TTC-PON EXDSG definition:
    # create logger with 'ttc_pon' application
    logger_exd_pon = logging.getLogger('ttc_pon_tests')
    logger_exd_pon.setLevel(logging.DEBUG)
    # add the handlers to the logger
    logger_exd_pon.addHandler(fh)
    logger_exd_pon.addHandler(ch)

    # Open sockets
    # open ONU socket
    onu = [OnuExdsg('192.168.1.11', 9001, 1)] # replace 3rd par.  by the address desired
    main(onu)
